[PATCH 5 of 7 forgotpwd] [debian] Let dh-python generate dependencies from requires.txt

Denis Laxalde denis.laxalde at logilab.fr
Wed Jun 26 10:48:31 CEST 2019


# HG changeset patch
# User Denis Laxalde <denis.laxalde at logilab.fr>
# Date 1561537155 -7200
#      mer. juin 26 10:19:15 2019 +0200
# Node ID fcd07e2ae00ef525f8edd4c5adc055da1f46c674
# Parent  1ef0e288906cf50e346be7276f25a87787af87be
# Available At https://hg.logilab.org/review/cubes/forgotpwd
#              hg pull https://hg.logilab.org/review/cubes/forgotpwd -r fcd07e2ae00e
[debian] Let dh-python generate dependencies from requires.txt

We add a pydist-overrides to handle cubicweb, as it's not available in
official Debian repositories.

diff --git a/debian/control b/debian/control
--- a/debian/control
+++ b/debian/control
@@ -14,10 +14,6 @@ Homepage: http://www.cubicweb.org/projec
 Package: cubicweb-forgotpwd
 Architecture: all
 Depends:
- python-cubicweb (>= 3.25),
- python-crypto,
- python-imaging,
- python-six,
  ${python:Depends},
  ${misc:Depends},
 Description: password recovery component for the CubicWeb framework
diff --git a/debian/pydist-overrides b/debian/pydist-overrides
new file mode 100644
--- /dev/null
+++ b/debian/pydist-overrides
@@ -0,0 +1,1 @@
+cubicweb python-cubicweb



More information about the cubicweb-devel mailing list